Class ej
ej
java.lang.Object
com.cycling74.max.MaxObject
ej.ej
Direct Known Subclasses:

  dx2x, fplay, ftom, getejiesversion, l2buffer, lchange, lclip, ldrunk, linterp, lop, lquant, lscale, lslide, mmmm, mtof, urn, x2dx

abstract public class ej
extends com.cycling74.max.MaxObject
See Also:

  ejies

Fields inherited from class com.cycling74.max.MaxObject
EMPTY_STRING_ARRAY, NO_INLETS, NO_OUTLETS

Constructor Summary
ej() print the ejies copyright message once

Method Summary
protected void | anything(String message, com.cycling74.max.Atom[] args)
protected void | bang()
void | dblclick() display the copyright while you dblclick on a object from the ej package (with version number)
protected String[] | findVersion()
protected void | inlet(float f)
protected void | inlet(int i)
boolean | isNumber(com.cycling74.max.Atom a) test if an Atom is a number
protected void | list(com.cycling74.max.Atom[] a)
void | post(boolean b) redefinition to accept a boolean value as argument
void | post(com.cycling74.max.Atom a) redefinition to accept an atom
void | post(com.cycling74.max.Atom[] a) redefinition to accept an array of Atoms
void | post(double d) redifinition to accept a float/double value
void | post(double[] d) redefinition to accept an array of double
void | post(long l) redefinition to accept a long as argument

Methods inherited from class com.cycling74.max.MaxObject
bail, createInfoOutlet, declareAttribute, declareAttribute, declareInlets, declareIO, declareOutlets, declareReadOnlyAttribute, declareReadOnlyAttribute, declareTypedIO, embedMessage, error, gc, getAttr, getAttrAtomArray, getAttrBool, getAttrBoolArray, getAttrByte, getAttrByteArray, getAttrChar, getAttrCharArray, getAttrDouble, getAttrDoubleArray, getAttrFloat, getAttrFloatArray, getAttributeInfo, getAttrInt, getAttrIntArray, getAttrLongArray, getAttrShort, getAttrShortArray, getAttrString, getAttrStringArray, getCodeSourcePath, getContext, getErrorStream, getInfoIdx, getInlet, getInletAssist, getInletType, getLongAttr, getMaxBox, getName, getNumInlets, getNumOutlets, getOutletAssist, getOutletType, getParentPatcher, getPostStream, list, list, loadbang, notifyDeleted, ouch, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outletBang, outletBangHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, post, postCodePath, save, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setInletAssist, setInletAssist, setName, setOutletAssist, setOutletAssist, showException, showException, toString, viewsource, zap

Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait

Constructor Detail
ej
public ej()

  print the ejies copyright message once

Method Detail
dblclick
public void dblclick()

  display the copyright while you dblclick on a object from the ej package (with version number)
  Overrides:
    dblclick in class com.cycling74.max.MaxObject

findVersion
protected String[] findVersion()

isNumber
public boolean isNumber(com.cycling74.max.Atom a)

  test if an Atom is a number

  Returns:
    `true` if it's a number; `false` otherwise

bang
protected void bang()

  Overrides:
    bang in class com.cycling74.max.MaxObject

inlet
protected void inlet(int i)

  Overrides:
    inlet in class com.cycling74.max.MaxObject

inlet
protected void inlet(float f)

  Overrides:
    inlet in class com.cycling74.max.MaxObject

list
protected void list(com.cycling74.max.Atom[] a)

  Overrides:
    list in class com.cycling74.max.MaxObject

anything
protected void anything(String message,
com.cycling74.max.Atom[] args)

  Overrides:
    anything in class com.cycling74.max.MaxObject

post
public void post(boolean b)

  redefinition to accept a boolean value as argument
  Parameters:
    b - boolean value

post
public void post(long l)

  redefinition to accept a long as argument
  Parameters:
    l - long value

post
public void post(double d)

  redifinition to accept a float/double value
  Parameters:
    d - float/double value

post
public void post(com.cycling74.max.Atom a)

  redefinition to accept an atom
  Parameters:
    a - the atom

post
public void post(com.cycling74.max.Atom[] a)

  redefinition to accept an array of Atoms
  Parameters:
    a - array of atoms

post
public void post(double[] d)

  redefinition to accept an array of double
  Parameters:
    d - array of double

Java API documentation generated with DocFlex/Doclet v1.6.0
DocFlex/Doclet is both a multi-format Javadoc doclet and a free edition of DocFlex/Javadoc. If you need to customize your Javadoc without writing a full-blown doclet from scratch, DocFlex/Javadoc may be the only tool able to help you! Find out more at www.docflex.com